-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 3.0 (quilt)
Source: stream-zip
Binary: python3-stream-zip
Architecture: all
Version: 0.0.83-2
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Homepage: https://github.com/uktrade/stream-zip
Description: Python function to construct a ZIP archive on the fly
 Python function to construct a ZIP archive on the fly - without having
 to store the entire ZIP in memory or disk.
 This is useful in memory-constrained environments, or when you would
 like to start returning compressed data before you've even retrieved
 all the uncompressed data.
 Generating ZIPs on-demand in a web server is a typical use case for
 stream-zip.
 .
 In addition to being memory efficient (with some limitations) stream-zip:
 .
  - Constructs ZIP files that can be stream unzipped,
    for example by stream-unzip
  - Can construct Zip64 ZIP files. Zip64 ZIP files allow sizes far
    beyond the approximate 4GiB limit of the original ZIP format
  - Can construct ZIP files that contain symbolic links
  - Can construct ZIP files that contain directories, including empty
    directories
  - Can construct password protected / AES-256 encrypted ZIP files
    adhering to the WinZip AE-2 specification
  - Allows the specification of permissions on the member files and
    directories (although not all clients respect them)
  - By default stores modification time as an extended timestamp.
    An extended timestamp is a more accurate timestamp than the original
    ZIP format allows
  - Provides an async interface (that uses threads under the hood)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/stream-zip
Vcs-Git: https://salsa.debian.org/debian-gis-team/stream-zip.git
Testsuite: autopkgtest-pkg-pybuild
Build-Depends: architecture-is-64-bit, debhelper-compat (= 13), dh-sequence-python3, pybuild-plugin-pyproject, python3-all, python3-hatchling, python3-pycryptodome, python3-pytest <!nocheck>, python3-pyzipper <!nocheck>, 7zip <!nocheck>, 7zip-standalone <!nocheck>, libarchive-tools <!nocheck>, unzip <!nocheck>
Package-List:
 python3-stream-zip deb python optional arch=all
Checksums-Sha1:
 04571d5ca7ef1af88efe917f55215db2daa7f20f 126386 stream-zip_0.0.83.orig.tar.gz
 70c17260258eba5827b518c2b5ee84fe016a4dd0 4508 stream-zip_0.0.83-2.debian.tar.xz
Checksums-Sha256:
 fa97c7517a1467d10849f3cb8771576f95e7e1cd517542c704e4daf08666bf59 126386 stream-zip_0.0.83.orig.tar.gz
 afedb42998a6f68fc7d0b2334077b3642ccd7eba3c04089cef81e9f4cb58921a 4508 stream-zip_0.0.83-2.debian.tar.xz
Files:
 74c329d3804e99b50daec1af0d8c7e86 126386 stream-zip_0.0.83.orig.tar.gz
 3122248f6b6ea67616b96e18717f40b9 4508 stream-zip_0.0.83-2.debian.tar.xz

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEgYLeQXBWQI1hRlDRZ1DxCuiNSvEFAmcPMLAACgkQZ1DxCuiN
SvE5OQ//coRre2FQCqOlAeAhiJBkpX5SJNRmdaPnIhJ0pvQFRxwUclBQtJjh6Bga
4794fOo9FVEfr+CV75/mFg+6VxFCBLyN2HcMDtFL48WbUD+ZGDWhFS8UFMWiPykT
S+KknFpjtLQ1ZNeDiEBN++GWt2l2Ly+wN0StINSPr/IbqLXVFlqnx9oYdc7nhZ0i
TyBPHidXbziJ3qTjeH1c/djuwC3gaTFtthPI1XtxyhfXbN5LYbIGgtSxYXSbt068
dtfoQmt6cC7v77SKSgXkKMIEFd5L2ayN93JlAGt8yjnPH4P+P33WvZ77HrNwZ8cO
KktjGuLosLzIweMOlnKHZgzsG8MZefC31LFww1PFbrg2k6vcGR9WutQESrF/uY2R
5HtdVjNhR2cEormzlovwsDN6bYOmfcsyuj6ZoTX+YpX9Hi3pMvowJYUpX/1LfJjI
bupPhi8YsoKTFnrxr03hA6rKMCLReY9bPYEISGrAYSsrwhn6iJf5ve1mTGQT63E7
W+Urc2f+qSqwwHw04ozaLLDPo7s5rsGFtnuoLfN7S9Wne290EjW21oyHMWZYdKTd
Yzkqu3t+pPRnG8rnCavyJwR2QaObjy+ESrU/1dhPJQpWjJq1lCcJ0vTiCF/zth3s
ieFEMX0hKLllxNpiD/A8YB7ZqwQt09hGk1tsZgYVkhTDwNKOg/g=
=QEpP
-----END PGP SIGNATURE-----
